Mesa (master): Make mklib propogate all errors

Brian Paul brianp at kemper.freedesktop.org
Thu Feb 18 20:03:04 UTC 2010


Module: Mesa
Branch: master
Commit: d6f55492af3cb82b0113fe6beac0f3494b6e2956
URL:    http://cgit.freedesktop.org/mesa/mesa/commit/?id=d6f55492af3cb82b0113fe6beac0f3494b6e2956

Author: Jon TURNEY <jon.turney at dronecode.org.uk>
Date:   Thu Feb 18 19:25:56 2010 +0000

Make mklib propogate all errors

Signed-off-by: Jon TURNEY <jon.turney at dronecode.org.uk>
Signed-off-by: Brian Paul <brianp at vmware.com>

---

 bin/mklib |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

diff --git a/bin/mklib b/bin/mklib
index 2ef9022..68d2205 100755
--- a/bin/mklib
+++ b/bin/mklib
@@ -24,6 +24,12 @@
 # AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 # CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 
+# propagate any errors
+function errtrap {
+    es=$?
+    exit $es
+}
+trap errtrap ERR
 
 # Given a list of files, look for .a archives and unpack them.
 # Return the original list of files minus the .a files plus the unpacked files.




More information about the mesa-commit mailing list